.divv{
    display: grid;
    grid-template-columns: auto auto auto auto;
    row-gap:15px ;


}

.div0{
    border:solid black 5px ;

}
div{
    position: relative;
}


.div1{
    width: 300px;
    height: 200px;
    border:solid 7px;
    border-color: orange;
    background-color: blueviolet;
    border-radius:10px ;
    float: left;


}

.div2{
    width: 300px;
    height: 200px;
    border:solid 7px;
    border-color: orange;
    background-color: blueviolet;
    border-radius: 50px;
    float: left;


}

.div3{
    width: 300px;
    height: 200px;
    border:solid 7px;
    border-style: solid;
    border-color: orange;
    background-color: blueviolet;
    border-radius: 50%;
    float: left;

}
.div4{
    width: 300px;
    height: 200px;
    border:solid 7px;
    border-color: orange;
    background-color: blueviolet;
    border-top-left-radius: 30px;
    border-bottom-right-radius: 30px;
    float: left;


}
.div5{
    width: 300px;
    height: 200px;
    border:solid 7px;
    border-color: orange;
    background-color: blueviolet;
    border-top-left-radius: 100%;
    float: left;

}
.div6{
    width: 300px;
    height: 200px;
    border:solid 7px;
    border-color: orange;
    background-color: blueviolet;
    border-radius: 30px;
    float: left;


}

.div7{
    width: 300px;
    height: 200px;
    border:solid 7px;
    border-color: orange;
    background-color: blueviolet;
    border-top-left-radius:100% ;
    border-bottom-right-radius:100% ;
    float: left;


}
.div8{
    width: 300px;
    height: 200px;
    border:solid 7px;
    border-color: orange;
    background-color: blueviolet;
    border-top-left-radius: 50%;
    border-top-right-radius: 50%;
    float: left;


}


.div9{
    width: 300px;
    height: 200px;
    border:solid 7px;
    border-color: red;
    background-color: green;
    border-radius: 20%;
    float: left;
}
.div10{
    width: 300px;
    height: 200px;
    border:solid 7px;
    border-color: red;
    background-color: orange;
    border-top-left-radius: 30px;
    border-bottom-right-radius: 30px;
    float: left;
}

.div11{
    width: 300px;
    height: 200px;
    border:solid 7px;
    border-color: red;
    background-color: lightskyblue;
    border-bottom-left-radius: 40%;
    border-top-right-radius: 40%;
    border-bottom-right-radius: 10%;
    border-top-left-radius: 10%;

    float: left;
}

.div12{
    width: 300px;
    height: 200px;
    border:solid 7px;
    border-color: red;
    background-color: lightslategray;
    border-top-left-radius: 10%;
    border-bottom-right-radius: 70%;
    border-bottom-left-radius: 30%;
    border-top-right-radius: 20%;
    float: left;
}

.div13{
    width: 200px;
    height: 150px;
    border: solid 3px;
    background-color:cornflowerblue;
    border-color: darkblue;
    

}

.div14{
    border: solid 3px black;
}